'use strict';

/**
 *
 *
 * @author Mai
 * @date
 * @version
 */

module.exports = app => {
    class LedgerRevisePos extends app.BaseService {
        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx);
            this.tableName = 'ledger_revise_pos';
        }

        /**
         * 初始化 修订的 部位明细
         * @param tid
         * @param lrid
         * @returns {Promise<void>}
         */
        async initRevisePos(tid, lrid) {

        }
    }

    return LedgerRevisePos;
};